読者です 読者をやめる 読者になる 読者になる

dotcloud

世間的にはGW真っ最中ということですね。
一時仕事かという雰囲気もありましたが
カレンダー通り、休んでいます。

さて、この休み中にやったことといえば
今流行の、dotcloud いわゆる、Passです。

週のあたまに、invitationの申し込みをして、
一晩寝たら、使えるようになっていて、dotcloud teamの皆様に感謝です。

dotcloudコマンドを使えるようにするのには、
さくっと、easy_install dotcloud で出来るわけですが
自宅のSnow Leopard iMacは、なんの問題もなくできました。

問題は、仕事で使ってる Leopard環境のMBP
デフォルトのPythonが2.5でeasy_installが微妙に古い。。
easy_installでエラーをはいてしまう。。
とりあえず、portsコマンドでpython2.6を入れてみる。
easy_install をportsで入ったであろう、
python2.6の環境のものをちょくで指定してみると
ようやく、dotcloudコマンドが使えるようになった。
あとは、その場所にPATHを通してあげて、なんとか環境ができました。
なんか途中で、pythonのバージョンを2.6に指定するコマンドを叩いたり
いろいろ、やった気もするけど、あんまり覚えていない。。

dotcloud create tknzk
dotcloud deploy --type php tknzk.www
dotcloud push tkznk.www ./

とりあえず、PHP の環境をチェック
http://www.tknzk.dotcloud.com/info.php

nginx+FastCGI構成だから、
Apache前提のモノとかはうごかないのかな。

時間を見つけて、いろんな言語を試してみよっと。

dotCloud - One home for all your apps